Package org.apache.solr.client.solrj.util

# Enum Class SolrIdentifierValidator.IdentifierType

java.lang.Object
java.lang.Enum<SolrIdentifierValidator.IdentifierType>
org.apache.solr.client.solrj.util.SolrIdentifierValidator.IdentifierType

All Implemented Interfaces:
  `Serializable`, `Comparable<SolrIdentifierValidator.IdentifierType>`, `java.lang.constant.Constable`

Enclosing class:
  `SolrIdentifierValidator`

public static enum SolrIdentifierValidator.IdentifierType extends Enum<SolrIdentifierValidator.IdentifierType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALIAS`
`COLLECTION`
`CORE`
`SHARD`

## Method Summary

Modifier and Type
Method
Description
`static SolrIdentifierValidator.IdentifierType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SolrIdentifierValidator.IdentifierType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SHARD

public static final SolrIdentifierValidator.IdentifierType SHARD

### COLLECTION

public static final SolrIdentifierValidator.IdentifierType COLLECTION

### CORE

public static final SolrIdentifierValidator.IdentifierType CORE

### ALIAS

public static final SolrIdentifierValidator.IdentifierType ALIAS

## Method Details

### values

public static SolrIdentifierValidator.IdentifierType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SolrIdentifierValidator.IdentifierType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null